# read data
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))
data <- read.table(paste0(getwd(), "/lmxquality.dat"))
names(data) <- c("employee", "team", "turnover", "male", "empower","lmxquality","jobsat","climate","orgsize")

# missing data indicators
data[data == 999] <- NA
data$lmxquality_ind <- as.numeric(is.na(data$lmxquality))
data$empower_ind <- as.numeric(is.na(data$empower))

# indicator correlations
cor(data[c("lmxquality_ind")], data[c("turnover", "male", "empower","jobsat","climate","orgsize")], use = "pairwise.complete.obs")
cor(data[c("empower_ind")], data[c("turnover", "male", "lmxquality","jobsat","climate","orgsize")], use = "pairwise.complete.obs")
# correlations between analysis variables and auxiliary variable
cor(data[c("jobsat")], data[c("empower","lmxquality")], use = "pairwise.complete.obs")