// set working directory
// e.g., cd "/users/craig/desktop/workshop/examples/"
cd "your-examples-folder-filepath/"

// read stacked data
clear
infile imp id bullied bmi batt1 - batt5 using "12. Imputation for Questionnaires/imps_stacked.dat"

// recode missing data in original data (imp = 0)
recode bullied bmi batt1 - batt5 (999 = .)

// compute scale score and center covariate.
gen bodyatt = batt1 + batt2 + batt3 + batt4 + batt5
egen impmeans = mean(bmi), by(imp)
gen bmic = bmi - impmeans

// convert to mi data
mi import flong, m(imp) id(id) imputed(bullied - bmic) clear

// analysis and pooling
mi estimate, cmdok: regress bodyatt bmic bullied
