/* read stacked imputation data */ 
data impdata (where = (_imputation_ gt 0));
infile '/folders/myfolders/imps_stacked.dat';
input _imputation_ school student wave condition eslpct ethnic male frlunch achgroup stanmath month0 month7
   probsolv matheff; run;

/* center covariate at grand means in each data set */
proc means data = impdata noprint;
var male frlunch stanmath;
by _imputation_;
output out = grandmeans (drop =_type_ _freq_) mean = malemean frlunchmean stanmathmean; run;

data impdata;
merge impdata grandmeans;
by _imputation_;
malec = male - malemean; 
frlunchc = frlunch - frlunchmean; 
stanmathc = stanmath - stanmathmean;  run;

/* analyze imputations */
ods _all_ close;
proc mixed data = impdata noclprint;
model probsolv = month0 condition month0*condition malec frlunchc stanmathc / solution covb;
random intercept month0 / subject = student type = un;
by _imputation_;
ods output SolutionF = estimates CovB = covb;
run;
ods listing;

/* pool estimates and standard errors */
proc mianalyze parms = estimates covb(effectvar = rowcol) = covb;
modeleffects Intercept month0 condition month0*condition malec frlunchc stanmathc;
run;